<?php
/*
 * Controller für die Liste der eigenen Beiträge eines Nutzers auf der eigenen Profilseite
 */

require_once 'php/model/Article.php';
require_once 'php/model/ArticleManager.php';
require_once "php/model/UserManager.php";

try {
    $dao = UserManager::getInstance();
    $user = $dao->findUser($_SESSION["user_email"] ?? "");

    $author = $user["email"];
    $articleManager = ArticleManager::getInstance();
    $userArticles = $articleManager->getArticlesByAuthor($author);
    if(!isset($userArticles)) {
        $_SESSION["message"] = "user_has_no_articles";
    }
} catch (Exception $e) {
    $_SESSION["message"] = "internal_error";
}

?>